19
OAuth 2.0
OIDC
RS256
<BASE_URL> = https://core-oauth-gateway.example.com
| Authorization Code | |
| Client Credentials | |
| JWT Bearer | urn:ietf:params:oauth:grant-type:jwt-bearer |
| Refresh Token | |
| Token Exchange | urn:ietf:params:oauth:grant-type:token-exchange |
| Password | |
| Client authentication | private_key_jwt, client_secret_basic |
| Access token formats |
Content-Type: application/x-www-form-urlencoded | ||
Content-Type: application/json | ||
Authorization: Basic ... | client_secret_basic | |
Authorization: Bearer ... | ||
X-Request-Id, X-B3-TraceId, X-B3-SpanId | ||
X-Client-Channel, X-Client-Platform, X-Client-App, X-Client-Version |
{
"error": "invalid_request",
"error_description": "OAuth 2.0 Parameter: client_id",
"error_uri": "https://datatracker.ietf.org/doc/html/rfc6749#section-5.2"
}